package com.ningdatech.pmapi.common.constant;


import com.ningdatech.basic.util.StrPool;

/**
 * 默认值
 *
 * @author PoffyZhang
 */
public interface DefValConstants {

    /**
     * 默认的根节点path
     */
    String ROOT_PATH = StrPool.COMMA;
    /**
     * 默认树层级
     */
    Integer TREE_GRADE = 0;
    /**
     * 默认的父id
     */
    Long PARENT_ID = 0L;
    /**
     * 默认的排序
     */
    Integer SORT_VALUE = 0;
    /**
     * 字典占位符
     */
    String DICT_PLACEHOLDER = "###";
    /**
     * 浙江省的region_id
     */
    Long ZJREGION_ID = 116L;

    /**
     * 城市 level
     */
    Integer CITY_REGION_LEVEL = 2;

    /**
     * 区的 level
     */
    Integer QU_REGION_LEVEL = 3;

    /**
     * 驾驶员异常数据GPS字符串起始偏移量
     */
    Integer GPS_START_OFFSET = 5;

    /**
     * 驾驶员异常数据GPS字符串结尾偏移量
     */
    Integer GPS_END_OFFSET = 69;
}
