package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author Poffy
 * @since 2023-02-13
 */
@TableName("nd_project_inst")
@Data
@ApiModel(value = "NdProjectInst对象", description = "")
public class ProjectInst implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("实例ID")
    private String instCode;

    @ApiModelProperty("创建时间")
    private LocalDateTime creatOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;
}
